Subject: bug#33069: FYI: test tweak (one still fails) and gnulib update

From: Jim Meyering <[email-masked]>
Date: Tue, 16 Oct 2018 17:21:37 -0700

Grep's backref-alt test still gets an assertion failure when using
glibc-2.27-32.fc28 (and many others), but I have reduced it to
something much more readable in the attached. I've also updated to
latest gnulib.

This demonstrates that the reduced regexp triggers the same error, in
both grep and sed:

$ printf z > in && LC_ALL=C sed -r 's/(()x)|\2//' in
sed: regexec.c:1342: pop_fail_stack: Assertion `num >= 0' failed.
zsh: abort (core dumped)  LC_ALL=C sed -r 's/(()x)|\2//' in
[Exit 134 (ABRT)]

$ printf z > in && LC_ALL=C grep -E '(()x)|\2' in
grep: regexec.c:1342: pop_fail_stack: Assertion `num >= 0' failed.
zsh: abort (core dumped)  LC_ALL=C grep --color=auto -E '(()x)|\2' in
[Exit 134 (ABRT)]